Skip to main content
v1

Launch a desktop application.

POST /v1/desktop/launch: request parameters and responses.

POST /v1/desktop/launch

Launches an application by name on the managed desktop, optionally waiting for its window to appear.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopLaunchRequest"
  }
}

Related schemas: DesktopLaunchRequest.

Responses

200

Application launched

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopLaunchResponse"
  }
}

Related schemas: DesktopLaunchResponse.

404

Application not found

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.